Slicer-5.0.x stable downloads

When I click on the stable Mac download on https://download.slicer.org/ I’m getting the following error:

{
    "message": "Invalid item id (62cc52d2aa08d161a31c1af4).",
    "type": "rest"
}

Linux appears to be working but I’m getting a similar error for the Windows build.

@jcfr
Windows gives the same error too!

Thanks for the feedback. We are aware of the issue.

I will revert the windows and macos updates and re-enable them once the packages are signed.

Release instructions will also be updated to avoid such problem from happening again

1 Like

Internal records have been fixed.

1 Like

To follow-up, the macOS package for 5.0.3 has been signed & notarized and is now available for download.

3 Likes

Thank you for working on these! When Slicer-5.0.3 package is expected to be available for Windows?

When Slicer-5.0.3 package is expected to be available for Windows?

The unsigned windows installer is available for download here

Given unforeseen circumstances, the windows package will likely be signed on Monday July 18th.

1 Like

Thanks for the link, this is very useful to know.

The Windows package for Slicer 5.0.3 has been signed and is now available for download.

3 Likes